package com.liangjian.dataplatform.member.entity.po.tertiary;

import com.liangjian.dataplatform.member.entity.po.BasicEntity;
import io.swagger.annotations.ApiModel;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

@Entity
@Table(name = "Product")
@ApiModel("药品信息表")
public class Product extends BasicEntity {


    private Integer productCode;
    private Integer mainProductCode;
    private Date creationDate;
    private Date lastModified;
    private String productName;
    private String classCode;
    private String commonTitle;
    private String integerroduction;
    private String unit;
    private String manufacturer;
    private String packing;
    private Integer productStatusType;
    private Integer isVisible;
    private Integer purchasePrice;
    private Integer marketPrice;
    private Integer ourPrice;
    private Integer appreciationPrice;
    private String profitLevel;
    private String manual;
    private String wapManual;
    private Integer views;
    private Integer priceSectorPricing;
    private Integer brandCode;
    private String productType;
    private String inspection;
    private String composition;
    private Integer weight;
    private String gmpCode;
    private String gmpCertificateUrl;
    private String productImageUrl;
    private String thumbnailUrl;
    private String tmg100;
    private String img180;
    private String img320;
    private String standardCode;
    private String barCode;
    private String approvalNumber;
    private String productAttribute;
    private String introduction;
    private String formulation;
    private Integer prescriptionType;
    private String purchaseWhile;
    private Integer healthInsuranceType;
    private Integer consumeDays;
    private String productTag;
    private Integer isGifts;
    private String standards;
    private String dosage;
    private Integer massDate;
    private String storage;
    private Integer isControl;
    private Integer controlNumber;
    private Integer packingNumber;
    private String pinyinCode;
    private String pinyinFullCode;
    private String productLine;
    private String subProductLine;
    private Integer isRecommend;
    @Column(name = "SFDACode")
    private String sfdaCode; // SFDACode
    @Column(name = "SFDAApprovalValidDate")
    private Date sfdaApprovalValidDate;
    @Column(name = "SFDAGmpCertificateDate")
    private Date sfdaGmpCertificateDate;
    @Column(name = "SFDAStatus")
    private Integer sfdaStatus;
    private Integer qcClass;
    private String syncStatus;
    private Integer recordState;
    private Integer isSuit;
    private String suitDescription;
    private String financialType;
    private String proudctDescription;
    private Integer plureProductStatusType;
    private String productmainmaterial;
    private String productusecrowd;
    private Integer displaytab;
    private String englishName;
    private String chemicalName;
    private String structure;
    private String formula;
    private String molecular;
    private String stringacters;
    private String adverse;
    private String taboo;
    private String precautions;
    private String child;
    private String olderPatients;
    private String pregnantWoman;
    private String drugIntegereractions;
    private String overdose;
    private String pharmaco;
    private String pharmacokinetics;
    private String packingProduct;
    private String externalID;
    private String remark;
    private Integer productHotType;
    private String mobilephoneUrl;
    private String btManual;
    private String productRecommend;
    private String toErp;
    private String productusecrowdCode;
    private Integer placeCode;
    private Integer formulationCode;
    private Integer usageCode;
    private Integer manufacturerCode;
    private String showMall;
    private String divisionCode;
    private Integer branchCode;
    private Integer merchantManageCode;
    private Integer minMarketPrice;
    private Integer checkPendingPrice;
    private String controlAreaRegion;
    private Integer productCodeForOutOfStock;
    private Integer isLimitPrice;
    private String commonTitlePinyin;
    private Integer productInventory;
    private Integer postageLogo;
    private Integer quantity;
    private Integer isDrugRecord;
    private String outOfStockRecommendCodes;
    private String giftCategory;
    private String businessIds;
    private Integer categoryType;
    @Column(name = "XQuantity")
    private Integer xquantity;// XQuantity
    private String userName;
    private String cssdomment;
    private Integer cssdQuantity;


    public String getIntroduction() {
        return introduction;
    }

    public void setIntroduction(String introduction) {
        this.introduction = introduction;
    }

    public Product() {
    }

    public Integer getProductCode() {
        return productCode;
    }

    public void setProductCode(Integer productCode) {
        this.productCode = productCode;
    }

    public Integer getMainProductCode() {
        return mainProductCode;
    }

    public void setMainProductCode(Integer mainProductCode) {
        this.mainProductCode = mainProductCode;
    }

    public Date getCreationDate() {
        return creationDate;
    }

    public void setCreationDate(Date creationDate) {
        this.creationDate = creationDate;
    }

    public Date getLastModified() {
        return lastModified;
    }

    public void setLastModified(Date lastModified) {
        this.lastModified = lastModified;
    }

    public String getProductName() {
        return productName;
    }

    public void setProductName(String productName) {
        this.productName = productName;
    }

    public String getClassCode() {
        return classCode;
    }

    public void setClassCode(String classCode) {
        this.classCode = classCode;
    }

    public String getCommonTitle() {
        return commonTitle;
    }

    public void setCommonTitle(String commonTitle) {
        this.commonTitle = commonTitle;
    }

    public String getIntegerroduction() {
        return integerroduction;
    }

    public void setIntegerroduction(String integerroduction) {
        this.integerroduction = integerroduction;
    }

    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    public String getManufacturer() {
        return manufacturer;
    }

    public void setManufacturer(String manufacturer) {
        this.manufacturer = manufacturer;
    }

    public String getPacking() {
        return packing;
    }

    public void setPacking(String packing) {
        this.packing = packing;
    }

    public Integer getProductStatusType() {
        return productStatusType;
    }

    public void setProductStatusType(Integer productStatusType) {
        this.productStatusType = productStatusType;
    }

    public Integer getIsVisible() {
        return isVisible;
    }

    public void setIsVisible(Integer isVisible) {
        this.isVisible = isVisible;
    }

    public Integer getPurchasePrice() {
        return purchasePrice;
    }

    public void setPurchasePrice(Integer purchasePrice) {
        this.purchasePrice = purchasePrice;
    }

    public Integer getMarketPrice() {
        return marketPrice;
    }

    public void setMarketPrice(Integer marketPrice) {
        this.marketPrice = marketPrice;
    }

    public Integer getOurPrice() {
        return ourPrice;
    }

    public void setOurPrice(Integer ourPrice) {
        this.ourPrice = ourPrice;
    }

    public Integer getAppreciationPrice() {
        return appreciationPrice;
    }

    public void setAppreciationPrice(Integer appreciationPrice) {
        this.appreciationPrice = appreciationPrice;
    }

    public String getProfitLevel() {
        return profitLevel;
    }

    public void setProfitLevel(String profitLevel) {
        this.profitLevel = profitLevel;
    }

    public String getManual() {
        return manual;
    }

    public void setManual(String manual) {
        this.manual = manual;
    }

    public String getWapManual() {
        return wapManual;
    }

    public void setWapManual(String wapManual) {
        this.wapManual = wapManual;
    }

    public Integer getViews() {
        return views;
    }

    public void setViews(Integer views) {
        this.views = views;
    }

    public Integer getPriceSectorPricing() {
        return priceSectorPricing;
    }

    public void setPriceSectorPricing(Integer priceSectorPricing) {
        this.priceSectorPricing = priceSectorPricing;
    }

    public Integer getBrandCode() {
        return brandCode;
    }

    public void setBrandCode(Integer brandCode) {
        this.brandCode = brandCode;
    }

    public String getProductType() {
        return productType;
    }

    public void setProductType(String productType) {
        this.productType = productType;
    }

    public String getInspection() {
        return inspection;
    }

    public void setInspection(String inspection) {
        this.inspection = inspection;
    }

    public String getComposition() {
        return composition;
    }

    public void setComposition(String composition) {
        this.composition = composition;
    }

    public Integer getWeight() {
        return weight;
    }

    public void setWeight(Integer weight) {
        this.weight = weight;
    }

    public String getGmpCode() {
        return gmpCode;
    }

    public void setGmpCode(String gmpCode) {
        this.gmpCode = gmpCode;
    }

    public String getGmpCertificateUrl() {
        return gmpCertificateUrl;
    }

    public void setGmpCertificateUrl(String gmpCertificateUrl) {
        this.gmpCertificateUrl = gmpCertificateUrl;
    }

    public String getProductImageUrl() {
        return productImageUrl;
    }

    public void setProductImageUrl(String productImageUrl) {
        this.productImageUrl = productImageUrl;
    }

    public String getThumbnailUrl() {
        return thumbnailUrl;
    }

    public void setThumbnailUrl(String thumbnailUrl) {
        this.thumbnailUrl = thumbnailUrl;
    }

    public String getTmg100() {
        return tmg100;
    }

    public void setTmg100(String tmg100) {
        this.tmg100 = tmg100;
    }

    public String getImg180() {
        return img180;
    }

    public void setImg180(String img180) {
        this.img180 = img180;
    }

    public String getImg320() {
        return img320;
    }

    public void setImg320(String img320) {
        this.img320 = img320;
    }

    public String getStandardCode() {
        return standardCode;
    }

    public void setStandardCode(String standardCode) {
        this.standardCode = standardCode;
    }

    public String getBarCode() {
        return barCode;
    }

    public void setBarCode(String barCode) {
        this.barCode = barCode;
    }

    public String getApprovalNumber() {
        return approvalNumber;
    }

    public void setApprovalNumber(String approvalNumber) {
        this.approvalNumber = approvalNumber;
    }

    public String getProductAttribute() {
        return productAttribute;
    }

    public void setProductAttribute(String productAttribute) {
        this.productAttribute = productAttribute;
    }

    public String getFormulation() {
        return formulation;
    }

    public void setFormulation(String formulation) {
        this.formulation = formulation;
    }

    public Integer getPrescriptionType() {
        return prescriptionType;
    }

    public void setPrescriptionType(Integer prescriptionType) {
        this.prescriptionType = prescriptionType;
    }

    public String getPurchaseWhile() {
        return purchaseWhile;
    }

    public void setPurchaseWhile(String purchaseWhile) {
        this.purchaseWhile = purchaseWhile;
    }

    public Integer getHealthInsuranceType() {
        return healthInsuranceType;
    }

    public void setHealthInsuranceType(Integer healthInsuranceType) {
        this.healthInsuranceType = healthInsuranceType;
    }

    public Integer getConsumeDays() {
        return consumeDays;
    }

    public void setConsumeDays(Integer consumeDays) {
        this.consumeDays = consumeDays;
    }

    public String getProductTag() {
        return productTag;
    }

    public void setProductTag(String productTag) {
        this.productTag = productTag;
    }

    public Integer getIsGifts() {
        return isGifts;
    }

    public void setIsGifts(Integer isGifts) {
        this.isGifts = isGifts;
    }

    public String getStandards() {
        return standards;
    }

    public void setStandards(String standards) {
        this.standards = standards;
    }

    public String getDosage() {
        return dosage;
    }

    public void setDosage(String dosage) {
        this.dosage = dosage;
    }

    public Integer getMassDate() {
        return massDate;
    }

    public void setMassDate(Integer massDate) {
        this.massDate = massDate;
    }

    public String getStorage() {
        return storage;
    }

    public void setStorage(String storage) {
        this.storage = storage;
    }

    public Integer getIsControl() {
        return isControl;
    }

    public void setIsControl(Integer isControl) {
        this.isControl = isControl;
    }

    public Integer getControlNumber() {
        return controlNumber;
    }

    public void setControlNumber(Integer controlNumber) {
        this.controlNumber = controlNumber;
    }

    public Integer getPackingNumber() {
        return packingNumber;
    }

    public void setPackingNumber(Integer packingNumber) {
        this.packingNumber = packingNumber;
    }

    public String getPinyinCode() {
        return pinyinCode;
    }

    public void setPinyinCode(String pinyinCode) {
        this.pinyinCode = pinyinCode;
    }

    public String getPinyinFullCode() {
        return pinyinFullCode;
    }

    public void setPinyinFullCode(String pinyinFullCode) {
        this.pinyinFullCode = pinyinFullCode;
    }

    public String getProductLine() {
        return productLine;
    }

    public void setProductLine(String productLine) {
        this.productLine = productLine;
    }

    public String getSubProductLine() {
        return subProductLine;
    }

    public void setSubProductLine(String subProductLine) {
        this.subProductLine = subProductLine;
    }

    public Integer getIsRecommend() {
        return isRecommend;
    }

    public void setIsRecommend(Integer isRecommend) {
        this.isRecommend = isRecommend;
    }

    public String getSfdaCode() {
        return sfdaCode;
    }

    public void setSfdaCode(String sfdaCode) {
        this.sfdaCode = sfdaCode;
    }

    public Date getSfdaApprovalValidDate() {
        return sfdaApprovalValidDate;
    }

    public void setSfdaApprovalValidDate(Date sfdaApprovalValidDate) {
        this.sfdaApprovalValidDate = sfdaApprovalValidDate;
    }

    public Date getSfdaGmpCertificateDate() {
        return sfdaGmpCertificateDate;
    }

    public void setSfdaGmpCertificateDate(Date sfdaGmpCertificateDate) {
        this.sfdaGmpCertificateDate = sfdaGmpCertificateDate;
    }

    public Integer getSfdaStatus() {
        return sfdaStatus;
    }

    public void setSfdaStatus(Integer sfdaStatus) {
        this.sfdaStatus = sfdaStatus;
    }

    public Integer getQcClass() {
        return qcClass;
    }

    public void setQcClass(Integer qcClass) {
        this.qcClass = qcClass;
    }

    public String getSyncStatus() {
        return syncStatus;
    }

    public void setSyncStatus(String syncStatus) {
        this.syncStatus = syncStatus;
    }

    public Integer getRecordState() {
        return recordState;
    }

    public void setRecordState(Integer recordState) {
        this.recordState = recordState;
    }

    public Integer getIsSuit() {
        return isSuit;
    }

    public void setIsSuit(Integer isSuit) {
        this.isSuit = isSuit;
    }

    public String getSuitDescription() {
        return suitDescription;
    }

    public void setSuitDescription(String suitDescription) {
        this.suitDescription = suitDescription;
    }

    public String getFinancialType() {
        return financialType;
    }

    public void setFinancialType(String financialType) {
        this.financialType = financialType;
    }

    public String getProudctDescription() {
        return proudctDescription;
    }

    public void setProudctDescription(String proudctDescription) {
        this.proudctDescription = proudctDescription;
    }

    public Integer getPlureProductStatusType() {
        return plureProductStatusType;
    }

    public void setPlureProductStatusType(Integer plureProductStatusType) {
        this.plureProductStatusType = plureProductStatusType;
    }

    public String getProductmainmaterial() {
        return productmainmaterial;
    }

    public void setProductmainmaterial(String productmainmaterial) {
        this.productmainmaterial = productmainmaterial;
    }

    public String getProductusecrowd() {
        return productusecrowd;
    }

    public void setProductusecrowd(String productusecrowd) {
        this.productusecrowd = productusecrowd;
    }

    public Integer getDisplaytab() {
        return displaytab;
    }

    public void setDisplaytab(Integer displaytab) {
        this.displaytab = displaytab;
    }

    public String getEnglishName() {
        return englishName;
    }

    public void setEnglishName(String englishName) {
        this.englishName = englishName;
    }

    public String getChemicalName() {
        return chemicalName;
    }

    public void setChemicalName(String chemicalName) {
        this.chemicalName = chemicalName;
    }

    public String getStructure() {
        return structure;
    }

    public void setStructure(String structure) {
        this.structure = structure;
    }

    public String getFormula() {
        return formula;
    }

    public void setFormula(String formula) {
        this.formula = formula;
    }

    public String getMolecular() {
        return molecular;
    }

    public void setMolecular(String molecular) {
        this.molecular = molecular;
    }

    public String getStringacters() {
        return stringacters;
    }

    public void setStringacters(String stringacters) {
        this.stringacters = stringacters;
    }

    public String getAdverse() {
        return adverse;
    }

    public void setAdverse(String adverse) {
        this.adverse = adverse;
    }

    public String getTaboo() {
        return taboo;
    }

    public void setTaboo(String taboo) {
        this.taboo = taboo;
    }

    public String getPrecautions() {
        return precautions;
    }

    public void setPrecautions(String precautions) {
        this.precautions = precautions;
    }

    public String getChild() {
        return child;
    }

    public void setChild(String child) {
        this.child = child;
    }

    public String getOlderPatients() {
        return olderPatients;
    }

    public void setOlderPatients(String olderPatients) {
        this.olderPatients = olderPatients;
    }

    public String getPregnantWoman() {
        return pregnantWoman;
    }

    public void setPregnantWoman(String pregnantWoman) {
        this.pregnantWoman = pregnantWoman;
    }

    public String getDrugIntegereractions() {
        return drugIntegereractions;
    }

    public void setDrugIntegereractions(String drugIntegereractions) {
        this.drugIntegereractions = drugIntegereractions;
    }

    public String getOverdose() {
        return overdose;
    }

    public void setOverdose(String overdose) {
        this.overdose = overdose;
    }

    public String getPharmaco() {
        return pharmaco;
    }

    public void setPharmaco(String pharmaco) {
        this.pharmaco = pharmaco;
    }

    public String getPharmacokinetics() {
        return pharmacokinetics;
    }

    public void setPharmacokinetics(String pharmacokinetics) {
        this.pharmacokinetics = pharmacokinetics;
    }

    public String getPackingProduct() {
        return packingProduct;
    }

    public void setPackingProduct(String packingProduct) {
        this.packingProduct = packingProduct;
    }

    public String getExternalID() {
        return externalID;
    }

    public void setExternalID(String externalID) {
        this.externalID = externalID;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Integer getProductHotType() {
        return productHotType;
    }

    public void setProductHotType(Integer productHotType) {
        this.productHotType = productHotType;
    }

    public String getMobilephoneUrl() {
        return mobilephoneUrl;
    }

    public void setMobilephoneUrl(String mobilephoneUrl) {
        this.mobilephoneUrl = mobilephoneUrl;
    }

    public String getBtManual() {
        return btManual;
    }

    public void setBtManual(String btManual) {
        this.btManual = btManual;
    }

    public String getProductRecommend() {
        return productRecommend;
    }

    public void setProductRecommend(String productRecommend) {
        this.productRecommend = productRecommend;
    }

    public String getToErp() {
        return toErp;
    }

    public void setToErp(String toErp) {
        this.toErp = toErp;
    }

    public String getProductusecrowdCode() {
        return productusecrowdCode;
    }

    public void setProductusecrowdCode(String productusecrowdCode) {
        this.productusecrowdCode = productusecrowdCode;
    }

    public Integer getPlaceCode() {
        return placeCode;
    }

    public void setPlaceCode(Integer placeCode) {
        this.placeCode = placeCode;
    }

    public Integer getFormulationCode() {
        return formulationCode;
    }

    public void setFormulationCode(Integer formulationCode) {
        this.formulationCode = formulationCode;
    }

    public Integer getUsageCode() {
        return usageCode;
    }

    public void setUsageCode(Integer usageCode) {
        this.usageCode = usageCode;
    }

    public Integer getManufacturerCode() {
        return manufacturerCode;
    }

    public void setManufacturerCode(Integer manufacturerCode) {
        this.manufacturerCode = manufacturerCode;
    }

    public String getShowMall() {
        return showMall;
    }

    public void setShowMall(String showMall) {
        this.showMall = showMall;
    }

    public String getDivisionCode() {
        return divisionCode;
    }

    public void setDivisionCode(String divisionCode) {
        this.divisionCode = divisionCode;
    }

    public Integer getBranchCode() {
        return branchCode;
    }

    public void setBranchCode(Integer branchCode) {
        this.branchCode = branchCode;
    }

    public Integer getMerchantManageCode() {
        return merchantManageCode;
    }

    public void setMerchantManageCode(Integer merchantManageCode) {
        this.merchantManageCode = merchantManageCode;
    }

    public Integer getMinMarketPrice() {
        return minMarketPrice;
    }

    public void setMinMarketPrice(Integer minMarketPrice) {
        this.minMarketPrice = minMarketPrice;
    }

    public Integer getCheckPendingPrice() {
        return checkPendingPrice;
    }

    public void setCheckPendingPrice(Integer checkPendingPrice) {
        this.checkPendingPrice = checkPendingPrice;
    }

    public String getControlAreaRegion() {
        return controlAreaRegion;
    }

    public void setControlAreaRegion(String controlAreaRegion) {
        this.controlAreaRegion = controlAreaRegion;
    }

    public Integer getProductCodeForOutOfStock() {
        return productCodeForOutOfStock;
    }

    public void setProductCodeForOutOfStock(Integer productCodeForOutOfStock) {
        this.productCodeForOutOfStock = productCodeForOutOfStock;
    }

    public Integer getIsLimitPrice() {
        return isLimitPrice;
    }

    public void setIsLimitPrice(Integer isLimitPrice) {
        this.isLimitPrice = isLimitPrice;
    }

    public String getCommonTitlePinyin() {
        return commonTitlePinyin;
    }

    public void setCommonTitlePinyin(String commonTitlePinyin) {
        this.commonTitlePinyin = commonTitlePinyin;
    }

    public Integer getProductInventory() {
        return productInventory;
    }

    public void setProductInventory(Integer productInventory) {
        this.productInventory = productInventory;
    }

    public Integer getPostageLogo() {
        return postageLogo;
    }

    public void setPostageLogo(Integer postageLogo) {
        this.postageLogo = postageLogo;
    }

    public Integer getQuantity() {
        return quantity;
    }

    public void setQuantity(Integer quantity) {
        this.quantity = quantity;
    }

    public Integer getIsDrugRecord() {
        return isDrugRecord;
    }

    public void setIsDrugRecord(Integer isDrugRecord) {
        this.isDrugRecord = isDrugRecord;
    }

    public String getOutOfStockRecommendCodes() {
        return outOfStockRecommendCodes;
    }

    public void setOutOfStockRecommendCodes(String outOfStockRecommendCodes) {
        this.outOfStockRecommendCodes = outOfStockRecommendCodes;
    }

    public String getGiftCategory() {
        return giftCategory;
    }

    public void setGiftCategory(String giftCategory) {
        this.giftCategory = giftCategory;
    }

    public String getBusinessIds() {
        return businessIds;
    }

    public void setBusinessIds(String businessIds) {
        this.businessIds = businessIds;
    }

    public Integer getCategoryType() {
        return categoryType;
    }

    public void setCategoryType(Integer categoryType) {
        this.categoryType = categoryType;
    }

    public Integer getXquantity() {
        return xquantity;
    }

    public void setXquantity(Integer xquantity) {
        this.xquantity = xquantity;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getCssdomment() {
        return cssdomment;
    }

    public void setCssdomment(String cssdomment) {
        this.cssdomment = cssdomment;
    }

    public Integer getCssdQuantity() {
        return cssdQuantity;
    }

    public void setCssdQuantity(Integer cssdQuantity) {
        this.cssdQuantity = cssdQuantity;
    }
}
